﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using System.Web.Mvc;

namespace SonOfSun.Controllers
{
    public class ActorsController : Controller
    {
        // GET: Actors
        public ActionResult Index()
        {
            return View();
        }

        #region Actors
        public ActionResult Arnold()
        {
            ViewBag.Message = "Arnold page.";

            return View();
        }

        public ActionResult Charlie()
        {
            ViewBag.Message = "Charlie page.";

            return View();
        }

        public ActionResult Piotr()
        {
            ViewBag.Message = "Piotr Fronczewski page.";

            return View();
        }

        public ActionResult Jack()
        {
            ViewBag.Message = "John Joseph Nicholson page.";

            return View();
        }

        public ActionResult John()
        {
            ViewBag.Message = "John Sherwood de Lancie, Jr. page.";

            return View();
        }
        #endregion
    }
}