﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using System.Web.Mvc;

namespace SonOfSun.Controllers
{
    public class ChristianityController : Controller
    {
        // GET: Christianity
        public ActionResult Index()
        {
            return View();
        }

        #region Christianity
        public ActionResult Augustine()
        {
            ViewBag.Message = "Augustine of Hippo page.";

            return View();
        }

        public ActionResult Isidore()
        {
            ViewBag.Message = "Isidore of Seville page.";

            return View();
        }

        public ActionResult Matteo()
        {
            ViewBag.Message = "Matteo Ricci page.";

            return View();
        }

        public ActionResult Thomas()
        {
            ViewBag.Message = "Thomas Aquinas page.";

            return View();
        }

        public ActionResult Catherine()
        {
            ViewBag.Message = "Catherine of Alexandria page.";

            return View();
        }

        public ActionResult Beata()
        {
            ViewBag.Message = "Beata z Sens page.";

            return View();
        }

        public ActionResult Joan()
        {
            ViewBag.Message = "Joan of Arc page.";

            return View();
        }

        public ActionResult Adam()
        {
            ViewBag.Message = "Albert Chmielowski page.";

            return View();
        }

        public ActionResult Francis()
        {
            ViewBag.Message = "Francis of Assisi page.";

            return View();
        }

        public ActionResult JosephRatzinger()
        {
            ViewBag.Message = "Joseph Alois Ratzinger page.";

            return View();
        }

        public ActionResult KarolWojtyla()
        {
            ViewBag.Message = "Karol Józef Wojtyła page.";

            return View();
        }
        #endregion
    }
}