﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using System.Web.Mvc;

namespace SonOfSun.Controllers
{
    public class HomeController : Controller
    {
        #region Index

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "About page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Contact page.";

            return View();
        }

        public ActionResult Goals()
        {
            ViewBag.Message = "Goals page.";

            return View();
        }

        public ActionResult Shop()
        {
            ViewBag.Message = "Shop page.";

            return View();
        }

        public ActionResult WomenSingers()
        {
            ViewBag.Message = "Women Singers page.";

            return View();
        }

        public ActionResult WomenBands()
        {
            ViewBag.Message = "Women Bands page.";

            return View();
        }

        public ActionResult ManBands()
        {
            ViewBag.Message = "Man Bands page.";

            return View();
        }

        public ActionResult ManSingers()
        {
            ViewBag.Message = "Man Singers page.";

            return View();
        }

        public ActionResult Scientists()
        {
            ViewBag.Message = "Scientists page.";

            return View();
        }

        public ActionResult Photos()
        {
            ViewBag.Message = "Photos page.";

            return View();
        }

        public ActionResult Projects()
        {
            ViewBag.Message = "Projects page.";

            return View();
        }

        public ActionResult Bands()
        {
            ViewBag.Message = "Bands page.";

            return View();
        }

        public ActionResult Actors()
        {
            ViewBag.Message = "Actors page.";

            return View();
        }

        public ActionResult Charity()
        {
            ViewBag.Message = "Charity page.";

            return View();
        }

        public ActionResult OpenSource()
        {
            ViewBag.Message = "Open Source page.";

            return View();
        }

        public ActionResult Feedback()
        {
            ViewBag.Message = "Feedback page.";

            return View();
        }

        public ActionResult Entrepreneurs()
        {
            ViewBag.Message = "Entrepreneurs page.";

            return View();
        }

        public ActionResult Investors()
        {
            ViewBag.Message = "Investors page.";

            return View();
        }

        public ActionResult Orators()
        {
            ViewBag.Message = "Orators page.";

            return View();
        }

        public ActionResult Comedians()
        {
            ViewBag.Message = "Comedians page.";

            return View();
        }


        public FileResult DownloadPortal_ver_1_0()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun_Portal_ver_1_0.zip");
            string fileName = "SonOfSun_Portal_ver_1_0.zip";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        public FileResult DownloadPortal_ver_2_0()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun_Portal_ver_2_0.zip");
            string fileName = "SonOfSun_Portal_ver_2_0.zip";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        public FileResult DownloadPortal_ver_3_0()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun_Portal_ver_3_0.zip");
            string fileName = "SonOfSun_Portal_ver_3_0.zip";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        #endregion

    
   
      
  
 







        #region Religions

        public ActionResult Christianity()
        {
            ViewBag.Message = "Christianity page.";

            return View();
        }

        public ActionResult Judaism()
        {
            ViewBag.Message = "Judaism page.";

            return View();
        }

        public ActionResult Islam()
        {
            ViewBag.Message = "Islam page.";

            return View();
        }

        public ActionResult Buddhism()
        {
            ViewBag.Message = "Buddhism page.";

            return View();
        }

        public ActionResult Satanism()
        {
            ViewBag.Message = "Satanism page.";

            return View();
        }

        public ActionResult Sunnism()
        {
            ViewBag.Message = "Sunnism page.";

            return View();
        }

        #endregion

    
     
   
   
 
  
    }
}